Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/ChangeLog	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -1,2 +1,8 @@
+2007-12-13	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* libcsupport/preinstall.am, posix/preinstall.am, rtems/Makefile.am,
+	rtems/preinstall.am, sapi/Makefile.am, sapi/preinstall.am,
+	score/Makefile.am, score/preinstall.am: Revert testing patch.
+
 2007-12-13	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: cpukit/libcsupport/preinstall.am
===================================================================
--- cpukit/libcsupport/preinstall.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/libcsupport/preinstall.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -9,22 +9,8 @@
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(MKDIR_P) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/libcsupport.a: libcsupport.a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libcsupport.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libcsupport.a
+CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/posix/preinstall.am
===================================================================
--- cpukit/posix/preinstall.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/posix/preinstall.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -9,18 +9,8 @@
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(MKDIR_P) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_LIB)/$(dirstamp)
+CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
@@ -30,8 +20,4 @@
 
 if LIBPOSIX
-$(PROJECT_LIB)/libposix.a: libposix.a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libposix.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libposix.a
-
 if HAS_PTHREADS
 $(PROJECT_INCLUDE)/sched.h: include/sched.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: cpukit/rtems/Makefile.am
===================================================================
--- cpukit/rtems/Makefile.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/rtems/Makefile.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -8,5 +8,4 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-project_lib_LIBRARIES = librtems.a
 noinst_LIBRARIES = librtems.a
 librtems_a_CPPFLAGS = $(AM_CPPFLAGS)
Index: cpukit/rtems/preinstall.am
===================================================================
--- cpukit/rtems/preinstall.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/rtems/preinstall.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -9,18 +9,8 @@
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(MKDIR_P) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_LIB)/$(dirstamp)
+CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
@@ -28,8 +18,4 @@
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
 PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
-
-$(PROJECT_LIB)/librtems.a: librtems.a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/librtems.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/librtems.a
 
 $(PROJECT_INCLUDE)/rtems.h: include/rtems.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: cpukit/sapi/Makefile.am
===================================================================
--- cpukit/sapi/Makefile.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/sapi/Makefile.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -20,5 +20,4 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-project_lib_LIBRARIES = libsapi.a
 noinst_LIBRARIES = libsapi.a
 libsapi_a_SOURCES = src/debug.c src/extension.c src/extensioncreate.c \
Index: cpukit/sapi/preinstall.am
===================================================================
--- cpukit/sapi/preinstall.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/sapi/preinstall.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -9,18 +9,8 @@
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(MKDIR_P) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_LIB)/$(dirstamp)
+CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
@@ -65,6 +55,2 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/extension.inl
 
-$(PROJECT_LIB)/libsapi.a: libsapi.a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libsapi.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libsapi.a
-
Index: cpukit/score/Makefile.am
===================================================================
--- cpukit/score/Makefile.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/score/Makefile.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -65,5 +65,4 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-project_lib_LIBRARIES = libscore.a
 noinst_LIBRARIES = libscore.a
 libscore_a_SOURCES =
Index: cpukit/score/preinstall.am
===================================================================
--- cpukit/score/preinstall.am	(revision 8fe6d5330041c25dd3559193991864001a7c3338)
+++ cpukit/score/preinstall.am	(revision bcf4cbb58979734a4aa023ba577f09304be25bea)
@@ -9,18 +9,8 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(MKDIR_P) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_LIB)/$(dirstamp)
+CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
@@ -284,6 +274,2 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/threadmp.inl
 endif
-$(PROJECT_LIB)/libscore.a: libscore.a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libscore.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libscore.a
-
